<?php 
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();
echo "<b>Opciones:</b> &nbsp;&nbsp;Ingrese el Nro. de Cedula Errado y coloque la Correcta.	
</font><hr>";

///////////////////////////////////////////////// cedula ////////////////////////////////////////////////////////////////
	echo "<h2>Actualizaci&oacute;n de C&eacute;dula del Trabajador</h2>";
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'bandera' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 align=center>";
	echo "<tr>";
		echo "<td align=right> No. C&eacute;dula Vieja:</td>";
		echo "<td> <input name='cedvieja' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td align=right> No. C&eacute;dula Nueva:</td>";
		echo "<td> <input name='cednueva' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td align=right> Acci&oacute;n:</td>";
		echo "<td><input type = 'submit' value = 'Cambiar N&uacute;mero'></td>";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedvieja.focus()";
	echo "	</script>";
	echo"</form>"; 
	if ($_POST['bandera']==1) {
			$_POST['cedvieja']=str_repeat("0",8-strlen( $_POST['cedvieja'])).$_POST['cedvieja'];
			$_POST['cednueva']=str_repeat("0",8-strlen( $_POST['cednueva'])).$_POST['cednueva'];
			
			$res4= mysqli_query($enlace,"update concepto_empleado set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and cedula ='".$_POST['cedvieja']."'") or die("Concepto_Empleado:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update constante_individual set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Constante_Individual:" . mysqli_error($enlace));
			
			//$res4= mysqli_query($enlace,"update diario set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Diario:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update costo_laboral set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("costo_laboral:" . mysqli_error($enlace));
			
			
			
			$res4= mysqli_query($enlace,"update ficha_academica set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Ficha Academica:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update ficha_laboral set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Ficha Laboral:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update ficha_referencia set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Ficha Referencia:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update historico set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Historico:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update historico_cestaticket set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("historico_cestaticket:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update historico_pagos_especiales set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("historico_pagos_especiales:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update liquidaciones set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("liquidaciones:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update pagos_bonopollo set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("pagos_bonopollo:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update pagos_bono_alimen set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("pagos_bono_alimen:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update pagos_especiales_usd set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("pagos_especiales_usd:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update personal set codigo = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  codigo ='".$_POST['cedvieja']."'") or die("personal:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update personal_sueldo set codigo = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  codigo ='".$_POST['cedvieja']."'") or die("personal_sueldo:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update prestaciones set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("prestaciones:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update prestaciones_fideicomiso set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("prestaciones_fideicomiso:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update prestacion_adelanto set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Prestaciones Adelanto:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update prestacion_interes set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("prestacion interes:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update prestamo set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("prestamo:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update utilidades set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Utilidades:" . mysqli_error($enlace));
			
			$res4= mysqli_query($enlace,"update vacacion set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("Vacaciones:" . mysqli_error($enlace));

			$res4= mysqli_query($enlace,"update vacacion_usd set cedula = '".$_POST['cednueva']."' where id='".$_SESSION['id_validar']."' and  cedula ='".$_POST['cedvieja']."'") or die("vacacion_usd:" . mysqli_error($enlace));
			
			echo "Cambio de Cedula Efectuado Satisfactoriamente...";
			mysql_close($enlace);
	}

echo "<br><br><br>";
echo "</body>";
echo "</html>";
?>